; general project settings
[project]
; project name: only used for metadata
name = afrikaportal
; class Name which shall be used to build collections (must be part of __init__ in bin)
collection_class = IIIFVLMCollection
; class Name which shall be used to build manifests (must be part of __init__ in bin)
manifest_class = IIIFVLMManifest
auth_file = /home/iiif/es_iiif_service/iiifafrikaportal-7e3dc9cb627c.json
config_sheet = 1huQ977K0E-liPhy8tdqB0fLTkfAjgI32Ctw4rKsbh7U
request_part = True
exp_time = 0
iiif_exp_time = 0
use_cache = False

; hosts urls: must finish with a "/"
[hosts]
; IIIF Image Server Host
imageserver_host =
; Host where see also files are available
seealso_host =
; Elasticsearch-Host for metadata and fulltext search
es_host = localhost:9208

; name of ES indices
[index]
; index providing metadata to build manifests and collections
index_manifest = digidata_test_basel
; index providing data for fulltext-search
index_fulltext =
; index providing data for metadata-search
index_metadata_search = v2-digidata_test_2019-07-01

; obligatory fields which have to be mapped using IIIF Presentation API (building manifests/collections)
[mapping_manifest]
; field which is used for identifying manifests
manifest_id = cat_type
; field which is used to label a manifest 1:1 relation with manifest_id
manifest_label = cat_type
; field from which canvas ids are built
page_id = mets_iiifpages
; field where pagewidth is stored
pagewidth =
; field where pageheight is stored
pageheight =

; obligatory fields which have to be mapped using IIIF Search API
[mapping_fulltext]
; name of field where fulltext is stored, used for querying
fulltext =
; name of field where words and coordinates are stored, used for extracting coordinates
textcoords =
; name of field which contains the manifest_id to limit search to some manifests
manifest = field_id.keyword

; how collections shall be built
[collection]
; fields which are used for aggregating values, each field creates a new level, fields are separated using "/"
collection_structure = cat_type
; fields which are used to sort the collections in the correct order, multiple fields are separated using ","
collection_sort = cat_type

; how manifests shall be built
[manifest]
; fields which are used for building internal manifest structure, each field creates a new level, fields are separated using "/"
manifest_structure = cat_year
; how many pages shall be in a manifest, if multiple manifests are combined to one
page_limit = 150
; fields which are used to sort the pages in the correct order within a manifest, multiple fields are separated using ","
manifest_sort = cat_year